Core - Task # 53029

Epic # 55070 (Accepted): Workpackages

Epic # 55065 (New): WP: Overall System Performance (Backend and Frontend)

Bug # 52949 (Resolved): Speed decrease since 4.5

Status: Resolved Priority: Should have
Author: Thomas Maroschik Category:

Created: 2013-10-22 Assigned To: Thomas Maroschik
Updated: 2013-10-31 Due date:

TYPOS3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Improve performance of the class loader

Description

Associated revisions

Revision dc541e04 - 2013-10-31 15:39 - Thomas Maroschik

[TASK] Optimize performance of the class loader

This change eliminates some file_exists calls and removes

an expensive regex that validated the class name.

Resolves: #53029

Releases: 6.2

Change-Id: 13d9ead0c3cdb999a540d303c8bd0709d4b827efd
Reviewed-on: https://review.typo3.org/24950

Reviewed-by: Sebastian Fischer
Reviewed-by: Wouter Wolters
Reviewed-by: Alexander Opitz
Tested-by: Alexander Opitz
Reviewed-by: Stefan Neufeind
Tested-by: Wouter Wolters
Reviewed-by: Dmitry Dulepov
Tested-by: Dmitry Dulepov
Reviewed-by: Thomas Maroschik
Tested-by: Thomas Maroschik

History

#1 - 2013-10-22 09:30 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/24950

#2 - 2013-10-22 09:32 - Thomas Maroschik

- Subject changed from Reduce the amount of unnecessary 10 in the class loader to Improve performance in the class loader

2015-08-04

1/2



https://review.typo3.org/24950
https://review.typo3.org/24950

#3 - 2013-10-22 09:32 - Thomas Maroschik

- Subject changed from Improve performance in the class loader to Improve performance of the class loader

#4 - 2013-10-31 16:30 - Thomas Maroschik
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:dc541e04490403a84eeb9eb39ae873ccf9e25939.
